version: "3"

# More info at https://docs.pi-hole.net/guides/dns/cloudflared/?h=cloud
services:
  cloudflared:
    container_name: cloudflared
    image: docker.io/cloudflare/cloudflared:2024.5.0
    command: proxy-dns --address 0.0.0.0 --port 5053 --upstream https://1.1.1.1/dns-query --upstream https://1.0.0.1/dns-query
    ports:
      - "5053:5053/tcp"
      - "5053:5053/udp"
    restart: unless-stopped
    networks:
      - podman1
